Functions · operationId:List

List Functions

GET /v1/functions

Description

Returns every Function in your project. Use the cursor / index parameters to page through large result sets.

Query parameters

NameTypeRequiredDescription
startIndex integer (int32) no

The zero-based index of the first result to return

count integer (int32) no

The number of results to return

orderBy string no

Responses

StatusDescriptionBody
200 Success array<Function>

Code samples

curl
curl -X GET \
  -H 'Authorization: Bearer <accessToken>' \
  'https://www.nyckel.com/v1/functions'
Python
import requests

url = 'https://www.nyckel.com/v1/functions'
headers = {
    'Authorization': 'Bearer <accessToken>',
}

response = requests.get(url, headers=headers)
print(response.json())
JavaScript
fetch('https://www.nyckel.com/v1/functions', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <accessToken>',
  },
})
  .then(response => response.json())
  .then(data => console.log(data));
PHP
<?php
$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, 'https://www.nyckel.com/v1/functions');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');

$headers = array(
    'Authorization: Bearer <accessToken>',
);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);
curl_close($ch);
echo $response;